function gah(){Ifd.call(this)}
function Z9g(a,b,d,e){oGd.call(this,a,b,d);this.a=e}
function vgh(a){var b;if(!a.k){b=new eah((H1i($de(a.a)),Doj(aee(a.a))));a.k=b}return a.k}
function ugh(a){var b;if(!a.j){b=new Z9g(yFd(vce(a.a)),vgh(a),tgh(a),VLg(ode(a.a)));KFd((wce(a.a),b),HGd(wce(a.a)));a.j=b}return a.j}
function eah(){vzf.call(this,W2b);this.a=new sAf(W2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
y3c(4508,1011,Wyj,Z9g);_.Ti=function(){};_.Yi=function(){this.A.Cr()};_.aj=function(){_uf(this.a,this)};y3c(4511,2863,Zzj,eah);_.Bh=function(){return nzf(this)};_.zr=function(){return this.a};_.Ar=function(){return O6j};_.Er=function(){var a;a=new K$f(this.n);u1d(a,hHj,p1d(jM(z2c,Pxj,263,[z1i(c1i(this.r,nBj),jM(Y1c,Pxj,235,[])),z1i(c1i(this.r,iZj),jM(Y1c,Pxj,235,[]))])));return a};_.Ir=function(){var a,b;b=new jrg(5);u7c(b,new d3g,EIj);a=new gah;I7c(b,b.u.b,a,new Kfd(SZj));return b};y3c(4512,676,Eyj,gah);_.qd=function(a){return a.jL()};y3c(4579,1,Czj);_.td=function(){gHd(this.b,ugh(this.a.a))};var M1b=eOd(4508),O1b=eOd(4511),N1b=eOd(4512);qAj(fp)(18);